#!/bin/sh

#This will act whenever there is a password change event.
#ThiS will not work for user: Root , Maint. Reason being root should not make to wait for 24hr or 1 day to change password.
#For Maint user, this restrcition already made through .bash_profile.sh ,when change password through console, thus this script 
#should not execute again for maint user.

#Users other then maint & root will have 24hr or 1 day password aging using  "-m 1 "

#User 'diag' need not to have the password restriction because diag user is only one time access user. 
#Every time this needs a new password and will get auto expire on next day OR on its first use, so bypassing the diag user from this 24hr / 1day password restriction.

if ([ "${PAM_USER}" != "root" ] && [ "${PAM_USER}" != "maint" ] && [ "${PAM_USER}" != "diag" ] && [ "$PAM_TYPE" != "open_session" ]); then
  sudo chattr -i /etc/passwd /etc/shadow
  sudo /usr/bin/chage -m  1  ${PAM_USER}
  sudo chattr +i /etc/passwd /etc/shadow
   exit 0
fi
if ([ "${PAM_USER}" != "root" ]); then
  exit 0
fi
