#!/bin/bash

# $Id: $
# Copyright (c) 2013 NetApp, Inc.
# All rights reserved.

# Returns 0 if the diagnostic user is disabled.
#
# This script must be run as root.
#
# Enforcement is as follows:
#     ownership:   root:root
#     permissions: -r-x------
#     The maintenance user is given sudo access to this script.

set -e

# Note that /home/maint/scripts/commonfunctions.sh
# needs to be owned by root and writable only by root for this to be secure
. /home/maint/scripts/commonfunctions.sh

userLocked diag || userExpired diag
