#!/bin/bash
function readProperty(){
	local PROP_VALUE=`cat $PROPERTY_FILE | grep  "^$PROP_KEY" | cut -d'=' -f2` 
	local PROP_REFINED=`echo $PROP_VALUE`
	echo "$PROP_REFINED"
}
javalink=`which java`
javapath=`readlink -f $javalink`
javadir=`dirname $javapath`
javabin=`dirname $javadir`
PROPERTY_FILE=$javabin/conf/security/java.security
PROP_KEY='jdk.tls.disabledAlgorithms'
VALUE=$(readProperty)

AllPROTOCOL=(TLSv1.1 TLSv1 TLSv1.2)
new_array=()
args=()
	set -f                      # avoid globbing (expansion of *).
	array=(${VALUE//,/ })
	for i in "${!array[@]}"
	do
		for j in "${!AllPROTOCOL[@]}"
		do
			if [ "${array[i]}" == "${AllPROTOCOL[j]}" ]
			then
			if [ "$args" == "" ]
			then
				args+="${AllPROTOCOL[j]}"
			else 
				args+=$'\n'"${AllPROTOCOL[j]}"
			fi

				unset "AllPROTOCOL[j]"
			fi
		done
	done
echo "1.Enabled TLS/SSL Protocols:"
for j in "${!AllPROTOCOL[@]}"
do
	echo "${AllPROTOCOL[j]}"
done
echo "2.Disabled TLS/SSL Protocols:"
for j in "${!args[@]}"
do

	echo "${args[j]}"
done

